Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class completion_statusHelper

    java.lang.Object
      |
      +--org.omg.CORBA.completion_statusHelper

public class completion_statusHelper
extends java.lang.Object

Helper class for : completion_status

Author:
  OpenORB Compiler

Constructor Summary
`completion_statusHelper()`

Method Summary
`static completion_status` | `extract(Any a)` Extract completion_status from an any
`static java.lang.String` | `id()` Return the completion_status IDL ID
`static void` | `insert(Any a, completion_status t)` Insert completion_status into an any
`static completion_status` | `read(InputStream istream)` Read completion_status from a marshalled stream
`static TypeCode` | `type()` Return the completion_status TypeCode
`static void` | `write(OutputStream ostream, completion_status value)` Write completion_status into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### completion_statusHelper

    public completion_statusHelper()

Method Detail

### insert

    public static void insert(Any a,
                              completion_status t)

  Insert completion_status into an any
  Parameters:
    `a` - an any
    `t` - completion_status value

### extract

    public static completion_status extract(Any a)

  Extract completion_status from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted completion_status value

### type

    public static TypeCode type()

  Return the completion_status TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the completion_status IDL ID
  Returns:
    an ID

### read

    public static completion_status read(InputStream istream)

  Read completion_status from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed completion_status value

### write

    public static void write(OutputStream ostream,
                             completion_status value)

  Write completion_status into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - completion_status value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD